﻿
Partial Class Default2
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Wizard1.ActiveStepIndex = 0
            OfficeImageMap.HotSpotMode = HotSpotMode.PostBack

            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle A", 0, 0, 123, 105))
            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle B", 124, 0, 262, 105))
            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle C", 263, 0, 382, 105))
            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle D", 258, 164, 382, 286))
            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle E", 135, 164, 257, 286))
            OfficeImageMap.HotSpots.Add(GetHotSpot("Cubicle F", 0, 164, 134, 286))
        End If
    End Sub

    Private Function GetHotSpot _
        (ByVal name As String, ByVal left As Integer, ByVal top As Integer, _
         ByVal right As Integer, ByVal bottom As Integer) As RectangleHotSpot

        Dim rhs As New RectangleHotSpot()

        rhs.PostBackValue = name

        rhs.Left = left
        rhs.Top = top
        rhs.Right = right
        rhs.Bottom = bottom

        Return rhs
    End Function

    Protected Sub OfficeImageMap_Click(ByVal sender As Object, _
                                       ByVal e As System.Web.UI.WebControls.ImageMapEventArgs) _
                                   Handles OfficeImageMap.Click

        OfficeSelectedLabel.Text = e.PostBackValue
    End Sub

    Protected Sub Wizard1_FinishButtonClick(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.WizardNavigationEventArgs) Handles Wizard1.FinishButtonClick
        Wizard1.Visible = False
        Response.Write("Thank you! Your request is being processed.")
    End Sub

    Protected Sub Wizard1_ActiveStepChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Wizard1.ActiveStepChanged
        If Wizard1.ActiveStep.Title = "Summary" Then
            SummaryLabel.Text = String.Format("Summary Info:<br />Room: {0}<br />Delivery Date: {1}", _
              OfficeSelectedLabel.Text, ServiceDateCalendar.SelectedDate.ToShortDateString())
        End If
    End Sub
End Class
