﻿
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Me.Load

        If Not IsPostBack Then

            Dim pubs As PubsEntityModel.PubsEntities = New PubsEntityModel.PubsEntities()

            Dim pubQuery = From p In pubs.Publishers
                           Order By p.PublisherName
                           Select p

            DropDownListPublishers.DataTextField = "PublisherName"
            DropDownListPublishers.DataValueField = "PublisherId"
            DropDownListPublishers.DataSource = pubQuery
            DropDownListPublishers.DataBind()

        End If

    End Sub



    Protected Sub ButtonShowTitles_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles ButtonShowTitles.Click


        Using pubs As New PubsEntityModel.PubsEntities()

            Dim titleQuery = From t In pubs.Titles
                             Where t.PublisherId =
                               DropDownListPublishers.SelectedValue
                             Order By t.TitleName
                             Select t

            GridViewTitles.DataSource = titleQuery
            GridViewTitles.DataBind()

        End Using


    End Sub

End Class
