﻿Imports System.ComponentModel.DataAnnotations

<MetadataType(GetType(EmployeeMetadata))> _
Partial Public Class Employee

End Class

Public Class EmployeeMetadata

    <Required(ErrorMessage:="Employee id is required.")> _
    Public Property EmployeeID As Object

    <Required(ErrorMessage:="First name is required.")> _
    Public Property FirstName As Object

    <Required(ErrorMessage:="Last name is required.")> _
    Public Property LastName As Object

    <StringLength(60, ErrorMessage:="Address must be 60 characters or less")> _
    Public Property Address As Object

    <RegularExpression("((\(\d{3}\) ?)|(\d{3}-))?\d{3}-\d{4}", _
        ErrorMessage:="Phone number should be in the format, 123-123-1234.")> _
    Public Property HomePhone As Object

End Class
